Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.WTab
Class Tabs

    java.lang.Object
      LumiSoft.UI.Controls.WTab.Tabs

All Implemented Interfaces:
  java.lang.Iterable<Tab>

    public class Tabs

extends java.lang.Object
implements java.lang.Iterable<Tab>

Method Summary
`Tab` | `Add(java.lang.String caption)` Adds new tab to tabs collection.
`Tab` | `Add(java.lang.String caption, java.lang.Object tag)` Adds new tab to tabs collection.
`Tab` | `Add(java.lang.String caption, java.lang.Object tag, int imageIndex)` Adds new tab to tabs collection.
`void` | `Clear()` Removes all tabs from tab collection.
`Tab` | `get(int index)` Gets tab at specified index.
`int` | `getCount()` Gets number of tabs in tab collection.
`int` | `IndexOf(Tab tab)` Gets specified tab index in tabs collection.
`java.util.Iterator<Tab>` | `iterator()` Gets iterator.
`void` | `Remove(int index)` Removes tab from tabs collection at specified index.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Add

    public Tab Add(java.lang.String caption)

  Adds new tab to tabs collection.

  Parameters:
    `caption` - Tab caption.
  Returns:

### Add

    public Tab Add(java.lang.String caption,
                   java.lang.Object tag)

  Adds new tab to tabs collection.

  Parameters:
    `caption` - Tab caption.
    `tag` - User data.
  Returns:

### Add

    public Tab Add(java.lang.String caption,
                   java.lang.Object tag,
                   int imageIndex)

  Adds new tab to tabs collection.

  Parameters:
    `caption` - Tab caption.
    `tag` - User data.
    `imageIndex` - Image index.
  Returns:

### Remove

    public void Remove(int index)

  Removes tab from tabs collection at specified index.

  Parameters:
    `index` -

### Clear

    public void Clear()

  Removes all tabs from tab collection.

### IndexOf

    public int IndexOf(Tab tab)

  Gets specified tab index in tabs collection.

  Parameters:
    `tab` -
  Returns:

### getCount

    public int getCount()

  Gets number of tabs in tab collection.

### get

    public Tab get(int index)

  Gets tab at specified index.

  Parameters:
    `index` -
  Returns:

### iterator

    public java.util.Iterator<Tab> iterator()

  Gets iterator.

  Specified by:
    `iterator` in interface `java.lang.Iterable<Tab>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD